%define		package	CssSelector
%define		php_min_version 5.3.9
Summary:	Symfony2 CssSelector Component
Name:		php-symfony2-CssSelector
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	2d576a043bac6e3dbf86c301bec5fbee
URL:		http://symfony.com/doc/2.7/components/css_selector.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CssSelector Component converts CSS selectors to XPath expressions.

%prep
%setup -q -n css-selector-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/CssSelector
%{php_data_dir}/Symfony/Component/CssSelector/*.php
%{php_data_dir}/Symfony/Component/CssSelector/Exception
%{php_data_dir}/Symfony/Component/CssSelector/Node
%{php_data_dir}/Symfony/Component/CssSelector/Parser
%{php_data_dir}/Symfony/Component/CssSelector/XPath
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-CssSelector.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> e5f82a0
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0cd6468
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> d0909be
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 4c8cabd
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> fb2e448
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 34d3d8f
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 761b749
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 91cb03e
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 1e00f68
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> bc8293e
- use autoloader.php as autoload bootstrap

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 0e6af84
- restore description. lost in 0d0b65

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> c693e80
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 0d0b658
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ee5bd77
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 97151c3
- update url

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 05b22e2
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> e4f8613
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 47a26ab
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> de574f4
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 21c13ad
- initial add. version 2.1.4

